Skip to main content
`Ctrl`+`K`

# EPSIsStructured

Ask if the `EPS` object corresponds to a structured eigenvalue problem.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSIsStructured(EPS eps,PetscBool* is)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- is - `PETSC_TRUE` if the problem is structured

## Note

The result will be true if the problem type has been set to some structured type such as `EPS_BSE`. This is independent of whether the input matrix has been built with a certain structure with a helper function.

## See Also

EPS: Eigenvalue Problem Solver, `EPSIsGeneralized()`, `EPSIsHermitian()`, `EPSIsPositive()`, `EPSSetProblemType()`

## Level

intermediate

## Location

src/eps/interface/epsbasic.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages